{
  marleylib,
  config,
  ...
}: let
  inherit (marleylib.module) enabled;
in {
  networking = {
    computerName = "mairley";
    hostName = "mairley";
    localHostName = "mairley";
  };

  marleyos = {
    profiles.desktop = enabled;

    # appearance = {
    #   base = enabled;
    # };
    # programs = {
    #   fish = enabled;
    #   wezterm = enabled;
    # };
  };

  users = {
    knownUsers = ["marley"];
    users."marley" = {
      # This is required for some reason.
      uid = 501;

      shell = config.programs.fish.package;
    };
  };

  system.stateVersion = 5;
}
