{marleylib, ...}: let
  inherit (marleylib.module) enabled;
in {
  imports = [./hardware-configuration.nix ./mounts.nix ./autorandr.nix];

  networking.hostName = "nyx";

  # For local dev.
  networking.firewall.allowedTCPPorts = [8080];

  marleyos = {
    profiles = {
      desktop = enabled;
      hardware.nvidia = enabled;
    };

    mounts.babeshare = enabled;
  };

  system.stateVersion = "24.05";
}
