{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.httpie;
in {
  options.marleyos.programs.httpie.enable = lib.mkEnableOption "httpie";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      httpie
    ];
  };
}
